{
  "description": "current status of a horizontal pod autoscaler",
  "properties": {
    "currentCPUUtilizationPercentage": {
      "description": "currentCPUUtilizationPercentage is the current average CPU utilization over all pods, represented as a percentage of requested CPU, e.g. 70 means that an average pod is using now 70% of its requested CPU.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "currentReplicas": {
      "description": "currentReplicas is the current number of replicas of pods managed by this autoscaler.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "desiredReplicas": {
      "description": "desiredReplicas is the  desired number of replicas of pods managed by this autoscaler.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "lastScaleTime": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time",
      "description": "lastScaleTime is the last time the HorizontalPodAutoscaler scaled the number of pods; used by the autoscaler to control how often the number of pods is changed."
    },
    "observedGeneration": {
      "description": "observedGeneration is the most recent generation observed by this autoscaler.",
      "format": "int64",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "required": [
    "currentReplicas",
    "desiredReplicas"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/horizontalpodautoscalerstatus/autoscaling/v1"
}